// Copyright 1998-2017 Epic Games, Inc. All Rights Reserved.

#include "GMESDK.h"
#include "GMEAppDelegate.h"
#include "Core.h"


#define LOCTEXT_NAMESPACE "FGMESDKModule"

void FGMESDKModule::StartupModule()
{
	// This code will execute after your module is loaded into memory; the exact timing is specified in the .uplugin file per-module

    UE_LOG(LogInit, Warning, TEXT("StartupModule()1"));
	// Get the base directory of this plugin
	//FString BaseDir = IPluginManager::Get().FindPlugin("GMESDK")->GetBaseDir();

    GMEAppDelegate::GetInstance().Initialize();
}

void FGMESDKModule::ShutdownModule()
{
	// This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
	// we call this function before unloading the module.

	// Free the dll handle
	//FPlatformProcess::FreeDllHandle(ExampleLibraryHandle);
	//ExampleLibraryHandle = nullptr;
}

#undef LOCTEXT_NAMESPACE
	
IMPLEMENT_MODULE(FGMESDKModule, GMESDK)
